librime: rime::SentenceTranslation Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::SentenceTranslation Class Reference
Inheritance diagram for rime::SentenceTranslation:
[legend]
Collaboration diagram for rime::SentenceTranslation:
[legend]

## Public Member Functions
| SentenceTranslation (TableTranslator *translator, an< Sentence > &&sentence, DictEntryCollector &&collector, UserDictEntryCollector &&ucollector, const string &input, size_t start)
virtual bool | Next ()
virtual an< Candidate > | Peek ()
Public Member Functions inherited from rime::Translation
| Translation ()=default
virtual | ~Translation ()=default
virtual int | Compare (an< Translation > other, const CandidateList &candidates)
bool | exhausted () const

## Protected Member Functions
void | PrepareSentence ()
bool | CheckEmpty ()
bool | PreferUserPhrase () const
Protected Member Functions inherited from rime::Translation
void | set_exhausted (bool exhausted)

## Protected Attributes
TableTranslator * | translator_
an< Sentence > | sentence_
DictEntryCollector | collector_
UserDictEntryCollector | user_phrase_collector_
string | input_
size_t | start_

## Constructor & Destructor Documentation

## ◆ SentenceTranslation()

rime::SentenceTranslation::SentenceTranslation | ( | TableTranslator * | translator,
|  | an< Sentence > && | sentence,
|  | DictEntryCollector && | collector,
|  | UserDictEntryCollector && | ucollector,
|  | const string & | input,
|  | size_t | start )

## Member Function Documentation

## ◆ CheckEmpty()

bool rime::SentenceTranslation::CheckEmpty | ( |  | ) |
| protected

## ◆ Next()

bool rime::SentenceTranslation::Next | ( |  | ) |
| virtual

Implements rime::Translation.

## ◆ Peek()

an< Candidate > rime::SentenceTranslation::Peek | ( |  | ) |
| virtual

Implements rime::Translation.

## ◆ PreferUserPhrase()

bool rime::SentenceTranslation::PreferUserPhrase | ( |  | ) | const
| protected

## ◆ PrepareSentence()

void rime::SentenceTranslation::PrepareSentence | ( |  | ) |
| protected

## Member Data Documentation

## ◆ collector_

DictEntryCollector rime::SentenceTranslation::collector_
| protected

## ◆ input_

string rime::SentenceTranslation::input_
| protected

## ◆ sentence_

an<Sentence> rime::SentenceTranslation::sentence_
| protected

## ◆ start_

size_t rime::SentenceTranslation::start_
| protected

## ◆ translator_

TableTranslator* rime::SentenceTranslation::translator_
| protected

## ◆ user_phrase_collector_

UserDictEntryCollector rime::SentenceTranslation::user_phrase_collector_
| protected

The documentation for this class was generated from the following file:

- table_translator.cc